Quick Start

Authenticate with your API key and make your first request in seconds.

# Authenticate with your API key curl https://api.prizmova.com/v1/clients \ -H "Authorization: Bearer pm_live_sk_..." \ -H "Content-Type: application/json" # Response { "data": [ { "id": "cli_abc123", "name": "Apex Insurance Group", "type": "COMMERCIAL", "riskScore": 72, "policiesCount": 14, "totalPremium": 48750000 } ], "meta": { "total": 847, "page": 1 } }

Endpoints

All resources scoped to your tenant. Paginated, filterable, and sortable.

  • GET/v1/clientsList clients
  • POST/v1/clientsCreate client
  • GET/v1/clients/:idGet client
  • PUT/v1/clients/:idUpdate client
  • GET/v1/policiesList policies
  • POST/v1/policiesCreate policy
  • GET/v1/claimsList claims
  • POST/v1/claimsFile claim
  • GET/v1/invoicesList invoices
  • GET/v1/commissionsList commissions
  • GET/v1/renewalsUpcoming renewals
  • POST/v1/webhooksCreate webhook
  • GET/v1/submissionsList commercial submissions
  • POST/v1/submissionsCreate submission
  • GET/v1/coiList certificates of insurance
  • POST/v1/coi/bulk-renewBulk renew COIs
  • POST/v1/ai/draft-emailAI-draft an email
  • POST/v1/ai/coverage-analysisGenerate coverage analysis letter
  • GET/v1/anomaliesList detected anomalies
  • GET/v1/rating/quotesGet comparative quotes

Rate Limits

Limits are per API key, enforced per minute with burst allowance.

PlanRequests/DayBurst/MinWebhooks
Starter1,000605
Growth25,00030025
EnterpriseUnlimited1,000Unlimited

Webhook Events

Subscribe to real-time events via webhook. All payloads include the full resource object.

EventDescription
submission.createdA new commercial submission was created
submission.quotedA submission received a carrier quote
coi.renewedA certificate of insurance was renewed
anomaly.detectedAn anomaly was detected in policy or billing data
email.draftedAn AI-drafted email is ready for review

Official SDKs

Install via your language's package manager and start building in minutes.

🐍

Python

pip install prizmova

JavaScript

npm i @prizmova/sdk
🐧

Go

go get prizmova.com/sdk

Java

com.prizmova:sdk:1.0

Ready to Integrate?

Get your API key with a free trial and start building in minutes.